Skip to main content
GET
List requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter by status (exact match)

Available options:
pending,
accepted,
rejected
status[in]
enum<string>[]

Filter by multiple statuses

Available options:
pending,
accepted,
rejected
requestTypeId[in]
string<uuid>[]

Filter by request type IDs

employeeId
string<uuid>

Filter by employee ID

createdAt[gte]
string<date>

Filter by created date (greater than or equal)

Example:

"2024-01-01"

createdAt[lte]
string<date>

Filter by created date (less than or equal)

Example:

"2024-12-31"

page
integer
default:1

Page number

limit
integer
default:50

Items per page (max 500)

Required range: x <= 500

Response

Successful response - List of requests

data
object[]
meta
object